stages:
  - build
  - test
  - document

default:
  tags: [docker]
  image: "mcr.microsoft.com/vscode/devcontainers/go"

before_script:
  - apt-get update && apt-get -yq install libusb-1.0-0-dev libudev-dev libhidapi-dev libhidapi-libusb0
  - go mod tidy

compile:
  stage: build
  script:
    - pwd
    - cd redlab_1208ls && go build -tags libusb

# FIXME: test stage only works when a real redlab device is attached
# test:
#   stage: test
#   script:
#     - cd redlab_1208ls && go test -timeout 30s -cover -v -tags=libusb

document:
  stage: document
  script:
    - cd redlab_1208ls && go doc
